# Hafnium

Hafnium is a hypervisor, initially supporting aarch64 (64-bit Armv8 CPUs).

Get in touch and keep up-to-date at
[hafnium@lists.trustedfirmware.org](https://lists.trustedfirmware.org/mailman/listinfo/hafnium).
See feature requests and bugs on our
[bug dashboard](https://developer.trustedfirmware.org/project/21/item/view/67/).

## Getting started

To jump in and build Hafnium, follow the
[getting started](docs/GettingStarted.md) instructions.

If you want to contribute to the project, see details of
[how we accept contributions](CONTRIBUTING.md).

## Documentation

More documentation is available on:

*   [Hafnium architecture](docs/Architecture.md)
*   [Code structure](docs/CodeStructure.md)
*   [Hafnium test infrastructure](docs/Testing.md)
*   [Running Hafnium under the Arm Fixed Virtual Platform](docs/FVP.md)
*   [How to build a RAM disk containing VMs for Hafnium to run](docs/HafniumRamDisk.md)
*   [Building Hafnium hermetically with Docker](docs/HermeticBuild.md)
*   [The interface Hafnium provides to VMs](docs/VmInterface.md)
*   [Scheduler VM expectations](docs/SchedulerExpectations.md)
*   [Hafnium coding style](docs/StyleGuide.md)
